package avrasm;

import java.util.List;

public class Instruction {
	private String opcode;
	private String binaryCode;
	private List<String> operands;
	private int lineNumber;
	private int instructionNumber;

	public Instruction(String opcode, List<String> operands, int lineNumber, int instructionNumber) {
		this.opcode = opcode;
		this.operands = operands;
		this.lineNumber = lineNumber;
		this.instructionNumber = instructionNumber;
	}

	/**
	 * @return the opcode
	 */
	public String getOpcode() {
		return opcode;
	}

	/**
	 * @param opcode the opcode to set
	 */
	public void setOpcode(String opcode) {
		this.opcode = opcode;
	}

	/**
	 * @return the operands
	 */
	public List<String> getOperands() {
		return operands;
	}

	/**
	 * @param operands the operands to set
	 */
	public void setOperands(List<String> operands) {
		this.operands = operands;
	}

	/**
	 * @return the lineNumber
	 */
	public int getLineNumber() {
		return lineNumber;
	}

	/**
	 * @param lineNumber the lineNumber to set
	 */
	public void setLineNumber(int lineNumber) {
		this.lineNumber = lineNumber;
	}

	/**
	 * @return the instructionNumber
	 */
	public int getInstructionNumber() {
		return instructionNumber;
	}

	/**
	 * @param instructionNumber the instructionNumber to set
	 */
	public void setInstructionNumber(int instructionNumber) {
		this.instructionNumber = instructionNumber;
	}

	/**
	 * @return the binaryCode
	 */
	public String getBinaryCode() {
		return binaryCode;
	}

	/**
	 * @param binaryCode the binaryCode to set
	 */
	public void setBinaryCode(String binaryCode) {
		this.binaryCode = binaryCode;
	}
	
}
